Name:           disarchive
Version:        0.6.0
Release:        1%{?dist}
Summary:        Software archive disassembler

License:        GPL-3.0-or-later
URL:            https://ngyro.com/software/disarchive.html
Source0:        https://files.ngyro.com/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make, gcc, pkgconfig(guile-3.0), pkgconfig(zlib)
BuildRequires:  guile-gcrypt guile-lzma guile-bzip2
BuildRequires:  guile-quickcheck
Requires:       guile30 guile-gcrypt guile-lzma guile-bzip2 zlib

%global guile_site_dir %(pkg-config --variable sitedir guile-3.0)
%global guile_ccache_dir %(pkg-config --variable siteccachedir guile-3.0)


%description
Disarchive can disassemble software archives into data
and metadata.  The goal is to create a small amount of metadata that
can be used to recreate a software archive bit-for-bit from the
original files.  For example, a software archive made using tar and
Gzip will need to describe the order of files in the tarball and the
compression parameters used by Gzip.

%prep
%autosetup


%build
%configure
%make_build


%install
%make_install

%check
%{__make} %{?_smp_mflags} check


%files
%license COPYING
%doc ChangeLog NEWS README

%{_bindir}/disarchive
%{_libexecdir}/disarchive-zgz

%{guile_site_dir}/disarchive.scm
%{guile_ccache_dir}/disarchive.go
%{guile_site_dir}/disarchive/
%{guile_ccache_dir}/disarchive/


%changelog
%autochangelog
